Create ReservationCopy Pagepost https://api.hostex.io/v3/reservationsCreate a reservation (Direct Booking) in Hostex.Body Paramsproperty_idintegerrequiredThe id of the property for the reservation.custom_channel_idintegerrequiredThe id of the custom channel through which the reservation is booked. See Query Custom Channel for retrieving custom channels.check_in_datedaterequiredThe check-in date for the reservation in YYYY-MM-DD format.check_out_datedaterequiredThe check-out date for the reservation in YYYY-MM-DD format.number_of_guestsintegerThe total number of guests included in the reservation.guest_namestringrequiredThe name of the primary guest.emailstringThe email address of the primary guest.mobilestringThe mobile phone number of the primary guest.currencystringrequiredThe currency code for the reservation amounts. See Supported Currencies for more information.rate_amountintegerrequiredThe total rate amount for the reservation.commission_amountintegerrequiredThe commission amount for the reservation.received_amountintegerrequiredThe total amount received for the reservation.income_method_idintegerrequiredThe identifier for the income method used for the reservation payment. See Query Income methods for retrieving all income methods.remarksstringAny additional remarks related to the reservation.Response 200The request has been successfully submitted. Updated over 2 years ago